<?php

namespace Application\Service\Extension\PatientProgress;
use Application\Service\Extension\PatientProgress\Config\Enum;

/**
 * @note 更新同步受试者进度的状态
 */
class PatientProgressStatus
{
    private static array $saveBatchData = [];   // 保存的批次信息
    private static array $saveInfoData = [];    // 保存的明细信息

    public static function execute() {

    }

    private static function generatorSaveData()
    {
        self::$saveInfoData = Enum::getWorkInfoFieldDefault();
        self::$saveBatchData = Enum::getWorkBatchFieldDefault();
    }

}